<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="../template/elementsTable.xhtml">
        <tr class="rf-dt-r rf-dt-fst-r">
            <th class="rf-dt-hdr-c" rowspan="4">#{messages['net.ihe.gazelle.audit.message.AuditSourceIdentification']}</th>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AuditSourceID']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{auditSource.auditSourceID.optionality}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{auditSource.auditSourceID.value}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{auditSource.auditSourceID.regex}"/>
            </td>
        </tr>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditEnterpriseSiteID']}"/>
            <ui:param name="elementDescription" value="#{auditSource.auditEnterpriseSiteID}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditSourceTypeCode']}"/>
            <ui:param name="elementDescription" value="#{auditSource.auditSourceTypeCode}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditSourceCodeValue']}"/>
            <ui:param name="elementDescription" value="#{auditSource.auditSourceCodeValue}"/>
        </ui:include>
    </ui:decorate>
</ui:composition>
